Bug 2271315 - Review Request: mod_mapcache - Caching server for WMS layers
Summary: Review Request: mod_mapcache - Caching server for WMS layers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Benson Muite
QA Contact: Fedora Extras Quality Assurance
URL: http://mapserver.org/trunk/en/mapcache/
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-03-24 18:58 UTC by Neil Hanlon
Modified: 2024-07-16 04:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-07-16 04:31:13 UTC
Type: ---
Embargoed:
benson_muite: fedora-review+


Attachments (Terms of Use)
The .spec file difference from Copr build 7208463 to 7212533 (667 bytes, patch)
2024-03-25 18:02 UTC, Fedora Review Service
no flags Details | Diff
The .spec file difference from Copr build 7212533 to 7217463 (2.40 KB, patch)
2024-03-26 18:55 UTC, Fedora Review Service
no flags Details | Diff

Description Neil Hanlon 2024-03-24 18:58:02 UTC
Spec URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache.spec
SRPM URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache-1.14.0-1.fc39.src.rpm

Description:
MapCache is a server that implements tile caching to speed up access to WMS layers.
The primary objectives are to be fast and easily deployable, while offering the
essential features (and more!) expected from a tile caching solution.
This is the MapCache module for the Apache web server implementing OGC web
services. An alternative mapcache FastCGI program is available in
libmapcache-fcgi.

Comment 1 Neil Hanlon 2024-03-24 19:03:34 UTC
n.b. still working on the -devel subpackage to include more than just the unversioned .so

Comment 2 Neil Hanlon 2024-03-24 19:03:34 UTC
n.b. still working on the -devel subpackage to include more than just the unversioned .so

Comment 3 Fedora Review Service 2024-03-24 19:18:11 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7208463
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2271315-mod_mapcache/fedora-rawhide-x86_64/07208463-mod_mapcache/fedora-review/review.txt

Found issues:

- License file LICENSE.md is not marked as %license
  Read more: https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/#_license_text

Please know that there can be false-positives.

---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 4 Neil Hanlon 2024-03-25 17:37:40 UTC
Spec URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache.spec
SRPM URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache-1.14.0-1.fc39.src.rpm

- Include mapcache.xml
- split into subpackages following debian

Comment 5 Fedora Review Service 2024-03-25 18:02:47 UTC
Created attachment 2023537 [details]
The .spec file difference from Copr build 7208463 to 7212533

Comment 6 Fedora Review Service 2024-03-25 18:02:50 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7212533
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2271315-mod_mapcache/fedora-rawhide-x86_64/07212533-mod_mapcache/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 7 Benson Muite 2024-03-26 07:51:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[-]: Provides: bundled(gnulib) in place as required.
     Note: Sources not installed
[x]: Package does not contain kernel modules.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "MIT License", "BSD 3-Clause License", "*No copyright* MIT License".
     130 files have unknown license. Detailed output of licensecheck in
     /home/fedora/2271315-mod_mapcache/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib64/httpd, /usr/share/mapcache,
     /usr/lib64/httpd/modules
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/mapcache
[x]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 1306 bytes in 2 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libmapcache , libmapcache-devel , libmapcache-fcgi , libmapcache-tools
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mod_mapcache-1.14.0-1.fc41.aarch64.rpm
          libmapcache-1.14.0-1.fc41.aarch64.rpm
          libmapcache-devel-1.14.0-1.fc41.aarch64.rpm
          libmapcache-doc-1.14.0-1.fc41.noarch.rpm
          libmapcache-fcgi-1.14.0-1.fc41.aarch64.rpm
          libmapcache-tools-1.14.0-1.fc41.aarch64.rpm
          mod_mapcache-debuginfo-1.14.0-1.fc41.aarch64.rpm
          mod_mapcache-debugsource-1.14.0-1.fc41.aarch64.rpm
          mod_mapcache-1.14.0-1.fc41.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpdj6922qa')]
checks: 32, packages: 9

libmapcache.aarch64: E: useless-provides group(mapcache)
libmapcache-fcgi.aarch64: W: summary-not-capitalized fcgi implementation for mapcache
libmapcache-tools.aarch64: W: summary-not-capitalized tools for mapcache
libmapcache.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-devel.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-doc.noarch: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-fcgi.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-tools.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.aarch64: E: spelling-error ('libmapcache', '%description -l en_US libmapcache -> cachepot')
mod_mapcache.aarch64: E: spelling-error ('fcgi', '%description -l en_US fcgi -> CGI')
mod_mapcache.src: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.src: E: spelling-error ('libmapcache', '%description -l en_US libmapcache -> cachepot')
mod_mapcache.src: E: spelling-error ('fcgi', '%description -l en_US fcgi -> CGI')
libmapcache-fcgi.aarch64: W: no-manual-page-for-binary mapcache.fcgi
libmapcache-tools.aarch64: W: no-manual-page-for-binary mapcache_detail
libmapcache-tools.aarch64: W: no-manual-page-for-binary mapcache_seed
libmapcache.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.aarch64: E: description-line-too-long Development files for mapcache; these files are needed when building binary packages
libmapcache-doc.noarch: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-fcgi.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-tools.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.src: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-doc.noarch: E: bad-manual-page-folder /usr/share/man/man1/mapcache_detail.1.xml.gz expected folder: manxml
libmapcache-doc.noarch: E: bad-manual-page-folder /usr/share/man/man1/mapcache_seed.1.xml.gz expected folder: manxml
 9 packages and 0 specfiles checked; 22 errors, 5 warnings, 40 filtered, 22 badness; has taken 1.7 s 




Rpmlint (debuginfo)
-------------------
Checking: mod_mapcache-debuginfo-1.14.0-1.fc41.aarch64.rpm
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpqxpeslbt')]
checks: 32, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 9 filtered, 0 badness; has taken 0.2 s 





Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 8

libmapcache.aarch64: E: useless-provides group(mapcache)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_handler      (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_set_content_type  (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_post_config  (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_get_brigade       (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_meets_conditions  (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_child_init   (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_log_error_(/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_update_mtime      (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_construct_url     (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_add_version_component     (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_fixups       (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_quick_handler        (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_set_content_length        (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_log_rerror_       (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_rwrite   (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.aarch64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_check_cmd_context (/usr/lib64/httpd/modules/mod_mapcache.so)
libmapcache-tools.aarch64: W: summary-not-capitalized tools for mapcache
libmapcache-fcgi.aarch64: W: summary-not-capitalized fcgi implementation for mapcache
libmapcache-tools.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.aarch64: E: spelling-error ('libmapcache', '%description -l en_US libmapcache -> cachepot')
mod_mapcache.aarch64: E: spelling-error ('fcgi', '%description -l en_US fcgi -> CGI')
libmapcache.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-doc.noarch: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-fcgi.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-devel.aarch64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-tools.aarch64: W: no-manual-page-for-binary mapcache_detail
libmapcache-tools.aarch64: W: no-manual-page-for-binary mapcache_seed
libmapcache-fcgi.aarch64: W: no-manual-page-for-binary mapcache.fcgi
libmapcache-tools.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-doc.noarch: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-fcgi.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.aarch64: E: description-line-too-long Development files for mapcache; these files are needed when building binary packages
libmapcache-doc.noarch: E: bad-manual-page-folder /usr/share/man/man1/mapcache_detail.1.xml.gz expected folder: manxml
libmapcache-doc.noarch: E: bad-manual-page-folder /usr/share/man/man1/mapcache_seed.1.xml.gz expected folder: manxml
 8 packages and 0 specfiles checked; 18 errors, 21 warnings, 38 filtered, 18 badness; has taken 2.0 s 



Unversioned so-files
--------------------
mod_mapcache: /usr/lib64/httpd/modules/mod_mapcache.so

Source checksums
----------------
https://salsa.debian.org/debian-gis-team/mapcache/-/raw/master/debian/man/mapcache_seed.1.xml :
  CHECKSUM(SHA256) this package     : 616aaa9f1a75fea316045e3dae9af8daafbf879253a60f66de5ea998b1cc7f2a
  CHECKSUM(SHA256) upstream package : 616aaa9f1a75fea316045e3dae9af8daafbf879253a60f66de5ea998b1cc7f2a
https://salsa.debian.org/debian-gis-team/mapcache/-/raw/master/debian/man/mapcache_detail.1.xml :
  CHECKSUM(SHA256) this package     : a073751c2bef726525974da3e36ad37e2c21ca534112a6d32b97f6414d183f66
  CHECKSUM(SHA256) upstream package : a073751c2bef726525974da3e36ad37e2c21ca534112a6d32b97f6414d183f66
https://github.com/MapServer/mapcache/releases/download/rel-1-14-0/mapcache-1.14.0.tar.gz :
  CHECKSUM(SHA256) this package     : a718676b8825edf949392ba93b12f3acc78f88cde63a9a1ca7508fdff3eb9efb
  CHECKSUM(SHA256) upstream package : a718676b8825edf949392ba93b12f3acc78f88cde63a9a1ca7508fdff3eb9efb


Requires
--------
mod_mapcache (rpmlib, GLIBC filtered):
    /bin/sh
    config(mod_mapcache)
    httpd
    ld-linux-aarch64.so.1()(64bit)
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libmapcache(aarch-64)
    libmapcache.so.1()(64bit)
    rtld(GNU_HASH)

libmapcache (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libgdal.so.34()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libpixman-1.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libsqlite3.so.0()(64bit)
    rtld(GNU_HASH)

libmapcache-devel (rpmlib, GLIBC filtered):
    libmapcache.so.1()(64bit)

libmapcache-doc (rpmlib, GLIBC filtered):

libmapcache-fcgi (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libfcgi.so.0()(64bit)
    libmapcache(aarch-64)
    libmapcache.so.1()(64bit)
    rtld(GNU_HASH)

libmapcache-tools (rpmlib, GLIBC filtered):
    ld-linux-aarch64.so.1()(64bit)
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libgdal.so.34()(64bit)
    libgeos_c.so.1()(64bit)
    libm.so.6()(64bit)
    libmapcache.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    rtld(GNU_HASH)

mod_mapcache-debuginfo (rpmlib, GLIBC filtered):

mod_mapcache-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mod_mapcache:
    config(mod_mapcache)
    mod_mapcache
    mod_mapcache(aarch-64)

libmapcache:
    group(mapcache)
    libmapcache
    libmapcache(aarch-64)
    libmapcache.so.1()(64bit)
    user(mapcache)

libmapcache-devel:
    libmapcache-devel
    libmapcache-devel(aarch-64)

libmapcache-doc:
    libmapcache-doc

libmapcache-fcgi:
    libmapcache-fcgi
    libmapcache-fcgi(aarch-64)

libmapcache-tools:
    libmapcache-tools
    libmapcache-tools(aarch-64)

mod_mapcache-debuginfo:
    debuginfo(build-id)
    mod_mapcache-debuginfo
    mod_mapcache-debuginfo(aarch-64)

mod_mapcache-debugsource:
    mod_mapcache-debugsource
    mod_mapcache-debugsource(aarch-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2271315
Buildroot used: fedora-rawhide-aarch64
Active plugins: Shell-api, Generic, C/C++
Disabled plugins: Java, Python, PHP, SugarActivity, Ocaml, Haskell, fonts, Perl, R
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

Comments:
a) Do copies of INSTALL.md README.md need to be in both the main and doc subpackages?
b) Should lmdb and libdb be included as a dependency:
https://packages.fedoraproject.org/pkgs/lmdb/lmdb/
https://packages.fedoraproject.org/pkgs/libdb/libdb/
See:
https://mapserver.org/mapcache/install.html
c) Can tests be run:
https://github.com/MapServer/mapcache/tree/main/tests
d) In the files section add:
%dir %{_datadir}/mapcache
e) Two files are under BSD-3-Clause:
BSD 3-Clause License
--------------------
mapcache-1.14.0/lib/hmac-sha.c
mapcache-1.14.0/lib/strptime.c

Comment 8 Neil Hanlon 2024-03-26 18:32:32 UTC
Thank you for the review! I owe you at least one already, so, I will work on some for you in the next week.


a) Do copies of INSTALL.md README.md need to be in both the main and doc subpackages?

Probably not. Should they be in the doc package or the main subpackage?

b) Should lmdb and libdb be included as a dependency:
https://packages.fedoraproject.org/pkgs/lmdb/lmdb/
https://packages.fedoraproject.org/pkgs/libdb/libdb/
See:
https://mapserver.org/mapcache/install.html

I've asked the original spec author that I've been working with, but we don't believe they are hard dependencies. Perhaps I can add them as Suggests?

c) Can tests be run:
https://github.com/MapServer/mapcache/tree/main/tests

I looked into these a bit but they appear to require installing and running an HTTPD server to make requests to it. I wasn't sure if these sort of tests were appropriate for rpm %check, or if they should be implemented as Zuul or tmt tests instead?

d) In the files section add:
%dir %{_datadir}/mapcache

Done

e) Two files are under BSD-3-Clause:
BSD 3-Clause License
--------------------
mapcache-1.14.0/lib/hmac-sha.c
mapcache-1.14.0/lib/strptime.c

Ack. I've modified the license to MIT AND BSD-3-Clause.

Comment 9 Neil Hanlon 2024-03-26 18:34:05 UTC
Spec URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache.spec
SRPM URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache-1.14.0-1.fc39.src.rpm

- add mapcache header files
- add Requires on libmapcache to mapserver

Comment 10 Fedora Review Service 2024-03-26 18:55:33 UTC
Created attachment 2023693 [details]
The .spec file difference from Copr build 7212533 to 7217463

Comment 11 Fedora Review Service 2024-03-26 18:55:36 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7217463
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2271315-mod_mapcache/fedora-rawhide-x86_64/07217463-mod_mapcache/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 12 Benson Muite 2024-03-29 11:53:06 UTC
Comments:
a) lmdb and libdb enable extra functionality, `suggests` would not give this as
the functionality needs to be built when compiling.  It is ok not to have them,
but may lead to performance improvements in some situations.

b) Tests seem like they would need more careful setup. They are not a must,
but if there is some way of check ing basic functionality, that would be great.

c) Fedora-review errors:
libmapcache.aarch64: E: useless-provides group(mapcache)
libmapcache-fcgi.aarch64: W: summary-not-capitalized fcgi implementation for mapcache
libmapcache-tools.aarch64: W: summary-not-capitalized tools for mapcache
l
libmapcache-devel.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.aarch64: E: description-line-too-long Development files for mapcache; these files are needed when building binary packages
libmapcache-doc.noarch: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-fcgi.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-tools.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.aarch64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.src: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-doc.noarch: E: bad-manual-page-folder /usr/share/man/man1/mapcache_detail.1.xml.gz expected folder: manxml
libmapcache-doc.noarch: E: bad-manual-page-folder /usr/share/man/man1/mapcache_seed.1.xml.gz expected folder: manxml
 
d) Can probably remove
Group:          Development/Tools
from the spec file.

Comment 13 Neil Hanlon 2024-04-09 13:52:45 UTC
Spec URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache.spec
SRPM URL: https://neil.fedorapeople.org/reviews/mod_mapcache/mod_mapcache-1.14.0-1.fc39.src.rpm

- add mapcache header files
- add Requires on libmapcache to mapserver

Comment 14 Neil Hanlon 2024-05-14 17:26:12 UTC
Hi Benson,

Are there any additional comments on this review, or is it ok to proceed?

Neil

Comment 15 Neil Hanlon 2024-06-20 15:05:03 UTC
Hi Benson, sorry for the needinfo ping:

The person I'm bringing this package into Fedora/EPEL for is anxious to have it available, and to hopefully introduce further map-related packages to Fedora. Will you be able to complete this review?

Comment 16 Benson Muite 2024-06-24 02:33:14 UTC
Sorry for the delay, will complete the review this week.

Comment 17 Benson Muite 2024-06-27 19:18:08 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package must not depend on deprecated() packages.
  Note: libdb-devel is deprecated, you must not depend on it.
  See: https://docs.fedoraproject.org/en-US/packaging-
  guidelines/deprecating-packages/


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* Apache License 2.0",
     "MIT License", "BSD 3-Clause License", "*No copyright* MIT License".
     130 files have unknown license. Detailed output of licensecheck in
     /home/fedora/2271315-mod_mapcache/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libmapcache , libmapcache-devel , libmapcache-fcgi , libmapcache-tools
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mod_mapcache-1.14.0-1.fc41.x86_64.rpm
          libmapcache-1.14.0-1.fc41.x86_64.rpm
          libmapcache-devel-1.14.0-1.fc41.x86_64.rpm
          libmapcache-doc-1.14.0-1.fc41.noarch.rpm
          libmapcache-fcgi-1.14.0-1.fc41.x86_64.rpm
          libmapcache-tools-1.14.0-1.fc41.x86_64.rpm
          mod_mapcache-debuginfo-1.14.0-1.fc41.x86_64.rpm
          mod_mapcache-debugsource-1.14.0-1.fc41.x86_64.rpm
          mod_mapcache-1.14.0-1.fc41.src.rpm
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpwggv150r')]
checks: 32, packages: 9

libmapcache.x86_64: E: useless-provides group(mapcache)
libmapcache.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-devel.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-doc.noarch: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-fcgi.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-tools.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.src: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.src: E: spelling-error ('libmapcache', '%description -l en_US libmapcache -> cachepot')
mod_mapcache.src: E: spelling-error ('fcgi', '%description -l en_US fcgi -> CGI')
mod_mapcache.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.x86_64: E: spelling-error ('libmapcache', '%description -l en_US libmapcache -> cachepot')
mod_mapcache.x86_64: E: spelling-error ('fcgi', '%description -l en_US fcgi -> CGI')
libmapcache-fcgi.x86_64: W: no-manual-page-for-binary mapcache.fcgi
libmapcache-tools.x86_64: W: no-manual-page-for-binary mapcache_detail
libmapcache-tools.x86_64: W: no-manual-page-for-binary mapcache_seed
mod_mapcache.x86_64: W: no-documentation
libmapcache.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.x86_64: E: description-line-too-long Development files for mapcache; these files are needed when building binary packages
libmapcache-doc.noarch: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-fcgi.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-tools.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.src: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
mod_mapcache.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
 9 packages and 0 specfiles checked; 20 errors, 4 warnings, 48 filtered, 20 badness; has taken 1.8 s 




Rpmlint (debuginfo)
-------------------
Checking: mod_mapcache-debuginfo-1.14.0-1.fc41.x86_64.rpm
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpepazrkto')]
checks: 32, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 10 filtered, 0 badness; has taken 0.2 s 





Rpmlint (installed packages)
----------------------------
/bin/sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8): No such file or directory
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.13/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 8

libmapcache.x86_64: E: useless-provides group(mapcache)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_handler    (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_set_content_type        (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_post_config        (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_get_brigade     (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_meets_conditions        (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_child_init (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_log_error_      (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_update_mtime    (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_construct_url   (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_add_version_component   (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_fixups     (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_hook_quick_handler      (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_set_content_length      (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_log_rerror_     (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_rwrite  (/usr/lib64/httpd/modules/mod_mapcache.so)
mod_mapcache.x86_64: W: undefined-non-weak-symbol /usr/lib64/httpd/modules/mod_mapcache.so ap_check_cmd_context       (/usr/lib64/httpd/modules/mod_mapcache.so)
libmapcache-devel.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
mod_mapcache.x86_64: E: spelling-error ('libmapcache', '%description -l en_US libmapcache -> cachepot')
mod_mapcache.x86_64: E: spelling-error ('fcgi', '%description -l en_US fcgi -> CGI')
libmapcache-tools.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-fcgi.x86_64: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-doc.noarch: E: spelling-error ('deployable', '%description -l en_US deployable -> deplorable, deploy able, deploy-able')
libmapcache-tools.x86_64: W: no-manual-page-for-binary mapcache_detail
libmapcache-tools.x86_64: W: no-manual-page-for-binary mapcache_seed
libmapcache-fcgi.x86_64: W: no-manual-page-for-binary mapcache.fcgi
mod_mapcache.x86_64: W: no-documentation
libmapcache-devel.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.x86_64: E: description-line-too-long Development files for mapcache; these files are needed when building binary packages
mod_mapcache.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-tools.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-fcgi.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-doc.noarch: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
 8 packages and 0 specfiles checked; 16 errors, 20 warnings, 44 filtered, 16 badness; has taken 2.2 s 



Unversioned so-files
--------------------
mod_mapcache: /usr/lib64/httpd/modules/mod_mapcache.so

Source checksums
----------------
https://salsa.debian.org/debian-gis-team/mapcache/-/raw/master/debian/man/mapcache_seed.1.xml :
  CHECKSUM(SHA256) this package     : 616aaa9f1a75fea316045e3dae9af8daafbf879253a60f66de5ea998b1cc7f2a
  CHECKSUM(SHA256) upstream package : 616aaa9f1a75fea316045e3dae9af8daafbf879253a60f66de5ea998b1cc7f2a
https://salsa.debian.org/debian-gis-team/mapcache/-/raw/master/debian/man/mapcache_detail.1.xml :
  CHECKSUM(SHA256) this package     : a073751c2bef726525974da3e36ad37e2c21ca534112a6d32b97f6414d183f66
  CHECKSUM(SHA256) upstream package : a073751c2bef726525974da3e36ad37e2c21ca534112a6d32b97f6414d183f66
https://github.com/MapServer/mapcache/releases/download/rel-1-14-0/mapcache-1.14.0.tar.gz :
  CHECKSUM(SHA256) this package     : a718676b8825edf949392ba93b12f3acc78f88cde63a9a1ca7508fdff3eb9efb
  CHECKSUM(SHA256) upstream package : a718676b8825edf949392ba93b12f3acc78f88cde63a9a1ca7508fdff3eb9efb


Requires
--------
mod_mapcache (rpmlib, GLIBC filtered):
    /bin/sh
    config(mod_mapcache)
    httpd
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libmapcache(x86-64)
    libmapcache.so.1()(64bit)
    rtld(GNU_HASH)

libmapcache (rpmlib, GLIBC filtered):
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libcurl.so.4()(64bit)
    libgdal.so.35()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libm.so.6()(64bit)
    libpixman-1.so.0()(64bit)
    libpng16.so.16()(64bit)
    libpng16.so.16(PNG16_0)(64bit)
    libsqlite3.so.0()(64bit)
    mapserver(x86-64)
    rtld(GNU_HASH)

libmapcache-devel (rpmlib, GLIBC filtered):
    libmapcache.so.1()(64bit)

libmapcache-doc (rpmlib, GLIBC filtered):

libmapcache-fcgi (rpmlib, GLIBC filtered):
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libfcgi.so.0()(64bit)
    libmapcache(x86-64)
    libmapcache.so.1()(64bit)
    rtld(GNU_HASH)

libmapcache-tools (rpmlib, GLIBC filtered):
    libapr-1.so.0()(64bit)
    libaprutil-1.so.0()(64bit)
    libc.so.6()(64bit)
    libgdal.so.35()(64bit)
    libgeos_c.so.1()(64bit)
    libm.so.6()(64bit)
    libmapcache.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    rtld(GNU_HASH)

mod_mapcache-debuginfo (rpmlib, GLIBC filtered):

mod_mapcache-debugsource (rpmlib, GLIBC filtered):



Provides
--------
mod_mapcache:
    config(mod_mapcache)
    mod_mapcache
    mod_mapcache(x86-64)

libmapcache:
    group(mapcache)
    libmapcache
    libmapcache(x86-64)
    libmapcache.so.1()(64bit)
    user(mapcache)

libmapcache-devel:
    libmapcache-devel
    libmapcache-devel(x86-64)

libmapcache-doc:
    libmapcache-doc

libmapcache-fcgi:
    libmapcache-fcgi
    libmapcache-fcgi(x86-64)

libmapcache-tools:
    libmapcache-tools
    libmapcache-tools(x86-64)

mod_mapcache-debuginfo:
    debuginfo(build-id)
    mod_mapcache-debuginfo
    mod_mapcache-debuginfo(x86-64)

mod_mapcache-debugsource:
    mod_mapcache-debugsource
    mod_mapcache-debugsource(x86-64)



Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2271315
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Haskell, PHP, Perl, Python, fonts, R, Java, Ocaml, SugarActivity
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH

comments;:
a) libdb seems to have been deprecated, so remove it - sorry for earlier suggesting its inclusion.
b) please shorten description lines:
libmapcache-devel.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-devel.x86_64: E: description-line-too-long Development files for mapcache; these files are needed when building binary packages
mod_mapcache.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-tools.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-fcgi.x86_64: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
libmapcache-doc.noarch: E: description-line-too-long MapCache is a server that implements tile caching to speed up access to WMS layers.
c) URL https://mapserver.org/trunk/en/mapcache/ seems to not be correctly configured perhaps use https://mapserver.org/mapcache/
d) Approved, please make necessary changes before importing.

Comment 18 Fedora Admin user for bugzilla script actions 2024-07-07 01:05:01 UTC
The Pagure repository was created at https://src.fedoraproject.org/rpms/mod_mapcache

Comment 19 Fedora Update System 2024-07-07 15:42:27 UTC
FEDORA-2024-d871c27a09 (mod_mapcache-1.14.0-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-d871c27a09

Comment 20 Fedora Update System 2024-07-08 01:22:52 UTC
FEDORA-2024-d871c27a09 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-d871c27a09 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-d871c27a09

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2024-07-16 04:31:13 UTC
FEDORA-2024-d871c27a09 (mod_mapcache-1.14.0-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.